Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%filter_from_requires /^.etc.gnumed.gnumed-.*-local.sh/d
%global major_ver 1.3

Name:           gnumed
Version:        %{major_ver}.2
Release:        alt1_1
Summary:        The GNUmed client

License:        GPLv2+
URL:            http://wiki.%{name}.de
Source0:        http://www.%{name}.de/downloads/client/%{major_ver}/%{name}-client.%{version}.tgz

BuildRequires:  desktop-file-utils
BuildRequires:  python-devel

BuildArch:      noarch

# Python requires

# Required to use the software properly
# rename to python-mx when ready:
# https://bugzilla.redhat.com/show_bug.cgi?id=878707
Requires:  libreoffice
Requires:  libmx

# Recommended
Requires:  aspell
Requires:  file
# not packaged yet
# Requires:  gtklp
Requires:  texlive-latex-recommended
Requires:  xmedcon
Requires:  xsane
Source44: import.info


%description
This is the GNUmed Electronic Medical Record. 
Its purpose is to enable doctors to keep a medically sound record 
on their patients' health. Currently it is not fully featured. The 
features provided are, however, tested, in use, and considered 
stable. This package does NOT yet provide functionality for billing 
and stock keeping.

While the GNUmed team has taken the utmost care to make sure the 
medical records are safe at all times you still need to make sure 
you are taking appropriate steps to backup the medical data to a 
safe place at appropriate intervals. Do test your backup and 
disaster recovery procedures, too !

Protect your data! GNUmed itself comes without any warranty 
whatsoever. You have been warned.

Homepage: http://gnumed.org/

This package contains the wxpython client. 

Authors:
--------
    Sebastian Hilbert <sebastian.hilbert@gmx.net>
    Karsten Hilbert <karsten.hilbert@gmx.net>
    GNUmed team


%package doc
Group: Other
Summary:    Documentation for %{name}
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-docs = %{version}-%{release}
# last release before rename is 0.9.9-5
Obsoletes:  %{name}-docs < 1.0.0

%description doc
The documentation for %{name}

%prep
%setup -q -n %{name}-client.%{version}
# fix EOL encoding
pushd client/doc/user-manual/rsrc/Gnumed/LegacyAppConfiguration
for f in gnumed.conf.modus{1,2} GDT.ini;
do
    touch -r $f $f.tstamp \
    && sed -i 's/\r//' $f \
    && touch -r $f.tstamp $f \
    && rm $f.tstamp
done

for f in GDT.ini;
do
    iconv -f iso8859-1 -t utf-8 $f > $f.conv \
    && touch -r $f $f.conv && mv -f $f.conv $f
done
popd

%build
# Nothing here

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
cp -p client/connectors/gm_ctl_client.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/gm_ctl_client.conf
cp -p client/doc/%{name}.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}.conf
cp -p client/etc/%{name}/%{name}-client.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}-client.conf

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p client/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/bitmaps
cp  -av client/bitmaps/{e*,gnu*,serpent}.png $RPM_BUILD_ROOT%{_datadir}/%{name}/bitmaps/

# Locale files
for i in "fr" "de" "es" "it" "nb" "nl" "pl" "pt_BR" "ru"; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/"$i"/LC_MESSAGES/
    cp -p client/po/"$i"-%{name}.mo $RPM_BUILD_ROOT%{_datadir}/locale/"$i"/LC_MESSAGES/%{name}.mo
done
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p client/bitmaps/gm_icon-serpent_and_gnu.{png,svg} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p -m 755  $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed/business
cp -pr client/business $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed

mkdir -p -m 755 $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed/exporters
cp -pr client/exporters $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed

mkdir -p -m 755 $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/Gnumed/wxGladeWidgets
# Remove shebang
sed -i "/\/usr\/bin\/env/d" client/wxGladeWidgets/*
cp -pr client/wxGladeWidgets  $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed

mkdir -p -m 755 $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/Gnumed/wxpython/gui
cp -pr client/wxpython $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed
cp -pr client/wxpython/gui $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed/wxpython

sed -i "/\/usr\/bin\/env/d" client/%{name}.py
cp -pr client/%{name}.py $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/
cp client/%{name}-client.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
cp client/bitmaps/%{name}logo.png $RPM_BUILD_ROOT%{_datadir}/icons/%{name}logo.png

desktop-file-install \
    --vendor='' \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-client.desktop

# pycommon
mkdir -p $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed/pycommon
cp -r client/pycommon $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed
cp -r client/__init__.py $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/Gnumed

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp client/doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/

# Extra binaries
install -p -m 0755 external-tools/gm-print_doc -t $RPM_BUILD_ROOT/%{_bindir}/
install -p -m 0755 external-tools/gm-download_data -t $RPM_BUILD_ROOT/%{_bindir}/

# Wrapper 
cat << EOF > gm_ctl_client
#!/bin/bash
python client/connectors/gm_ctl_client.py --conf-file=%{_sysconfdir}/%{name}/gm_ctl_client.conf
EOF
install -p -m 0755 gm_ctl_client -t $RPM_BUILD_ROOT/%{_bindir}/

%files -f %{name}.lang
%doc client/LICENSE client/CHANGELOG client/GnuPublicLicense.txt
%{_bindir}/%{name}
%{_bindir}/gm-print_doc
%{_bindir}/gm_ctl_client
%{_bindir}/gm-download_data
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gm_icon-serpent_and_gnu.*
%{_datadir}/icons/%{name}logo.png
%{_datadir}/applications/%{name}-client.desktop
%{python_sitelibdir_noarch}/Gnumed/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gm*.1*

%files doc
%doc client/doc/user-manual/*

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_1
- update to new release by fcimport

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_1
- update to new release by fcimport

* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_1
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.6-alt1_2
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.6-alt1_1
- initial fc import

